//
// C++ Interface: kmfcompilerinterface
//
// Description: 
//
//
// Author: Christian Hubinger <chubinger@gmail.com>, (C) 2003
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KMFCOMPILERINTERFACE_H
#define KMFCOMPILERINTERFACE_H

/**
@author Christian Hubinger
*/

#include <kparts/plugin.h>

class KMFDoc;
class KMFGenericDoc;
class KMFIPTDoc;


#include <qstring.h>
#include <qobject.h>

class KDE_EXPORT KMFCompilerInterface {
public:
//    KMFCompilerInterface( QObject* parent , const char* name  ) : KParts::Plugin( parent , name ) {};
	KMFCompilerInterface();
	virtual ~KMFCompilerInterface();
	virtual void compile() = 0;
	virtual const QString& compile( KMFGenericDoc* ) = 0;
	virtual const QString& compile( KMFIPTDoc* );
	virtual const QString& osName() = 0;
	virtual const QString& osGUIName() = 0;
	virtual const QString& backendName() = 0;
	virtual const QString& backendGUIName() = 0;
};

#endif
